Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4137 - Search path for dependencies
Summary: Search path for dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-21 14:54 UTC by kestes
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-06 21:45:57 UTC


Attachments (Terms of Use)

Description kestes 1999-07-21 14:54:01 UTC
Could you please implement this.  I will have a need to have
a native package manager (sun package manager, AIX whatever)
and several different RPM databases installed on the same
machine.  It would be helpful if we could have rpm
search each database in  a given order to keep this
straight.

The application is that we use the sun package manager for
all sun products and we are using several parallel build
directories each one builds our product and needs to
install some build dependencies to satisfy link
requirements.


We do not want to install N copies of all the build tools
on the build machine BUT we want rpm to do build time
dependency checking on them so we need a search path.


Ken Estes




Resent-Date: 20 Jul 1999 16:09:01 -0000
Resent-Cc: recipient list not shown: ;
Resent-Message-ID: <"7XLGj2.0.Q_1.Ty9bt"@lists.redhat.com>
Resent-From: rpm-list@redhat.com
Resent-Sender: rpm-list-request@redhat.com
From: Jeff Johnson <jbj@JBJ.ORG>
To: rpm-list@redhat.com
Subject: Re: Several connected RPM databases on one machine
Date: Tue, 20 Jul 1999 12:08:58 -0400

On Tue, Jul 20, 1999 at 09:17:44AM -0400, Ken Estes wrote:
>
>
> Carl Karlsson writes:
> > So, finally, to the question... :) Would it be possible
to come up with
> > something new to connect a series of RPM databases?
> >
> > For example, something like this:
> >
> > rpm --dbpath /opt/system-1.0/rpm/db \
> >     --searchpath /opt/system-1.0/rpm:/var/lib/rpm \
> >     -Uvh module-1.0-2.sparc64.rpm
> >
> > This would be awkward to type but with a few cover
scripts it would be
> > very handy. It would mean that I can install an rpm in
one rpm-db but look
> > for dependencies in a collection of rpm-dbs, which would
solve my problem
> > with having some rpms with 'machine' scope and some rpms
with
> > 'systemversion' scope.
>
>
> I would like to have something like this both for the
reason you
> suggest above and also tohave RPM make use of the Native
OS Package
> manager.  It is strange to me that we make virtual
packages of things
> already installed as SunPackages.  If RPM could ask the
sun packge
> manager useful questions then they could work together.  I
envision
> this working as a search path kind of deal.
>

A search path for queries and file/soname dependencies might
make sense.

Much of the rest of the functionality in rpm would require
more information
than is easily gleaned from an alien (OK, native OS :-)
database.

73 de Jeff

--
Jeff Johnson	ARS N3NPQ
jbj@jbj.org	(jbj@redhat.com)
Chapel Hill, NC

--
To unsubscribe: mail -s unsubscribe
rpm-list-request@redhat.com < /dev/null

Comment 1 Paul Nasrat 2005-06-06 21:45:57 UTC
rpm has solvedb which can provide hints.  See rpmdb-redhat or rpmdb-fedora from
recent releases for the macros and process.

The preferred way is to use a depsolver such as yum which can sove using
multiple repositories using standardised metadata.


Note You need to log in before you can comment on or make changes to this bug.